cURL
curl --request GET \
--url https://api.pearcheck.com/api/v1/verify/get_user_verification_result/{batch_id}/ \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.pearcheck.com/api/v1/verify/get_user_verification_result/{batch_id}/"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.pearcheck.com/api/v1/verify/get_user_verification_result/{batch_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"provider": "<string>",
"batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"type": "<string>",
"used_url": true,
"verification_type": "<string>",
"verification_result": "<string>",
"id_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"user_input": {},
"id_info": {},
"phone_info": {},
"aml_info": {},
"risk_info": {},
"fraud_insights": {},
"face_match_info": {},
"face_liveness_info": {},
"verification_url": "<string>"
}{
"error": {
"summary": "<string>",
"fields": {}
}
}User Verification (KYC) APIs
Get user verification result
Endpoint used to get user verification result
GET
/
api
/
v1
/
verify
/
get_user_verification_result
/
{batch_id}
/
cURL
Authorizations
Path Parameters
Response
Successful Operation
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I